/* ##### GENERAL STYLES FOR PANDA AREA ###### */

@import "../variables";

#login {
	background: white;
	height: 100%;
	display: flex;
	justify-content: center;

	.content {
		position: absolute;
		top: 50%;
		transform: translateY(-55%);

		#panda img {
			max-width: 512px;
			width: 80vw;
			max-height: 512px;
			height: 45vh;
		} // end panda

		#login-form {
			position: relative;
			max-width: 300px;
			margin: 0 auto;

			.password-visibility {
				cursor: pointer;

				svg {
					fill: #9e9e9e;
				}
			}

			.parsley-error svg .a,
			.parsley-success svg .a {
				fill: white;
			}

			.btn[name="login"] {
				.loader {
					display: none;

					.loader-square-flipper {
						transform: scale(0.3);
						height: 17px;
						width: 17px;
					}
				} // end loader

				&.loading {
					.text {
						display: none;
					}
					.loader {
						display: block;
					}
				} // end login button loading
			} // end login button

			.error-container {
				position: absolute;
				width: 100%;

				.error:not(.hidden) {
					display: block;
					text-align: center;
					animation: slide-down 800ms forwards ease-out;
				} // end error
			} // end error container
		} // end login-form
	} // end content
} // end login-section
